/*
 * Copyright 2004 Perforce Software.  All rights reserved.
 *
 * Developed by Data Shades Ltd.
 */

/* 
 * This file contains all plugin text and messages
 */

#define P4_ADD_SUBMIT_TITLE		_T("P4GT - Add Document to Perforce")
#define P4_ADD_SUBMIT_MSG		_T("You have successfully added the document to Perforce -\r\n") \
								_T("would you like to check it in now?")

#define P4_OPEN_DOCUMENT_TITLE	_T("P4GT - Opening Document")
#define P4_OPEN_DOCUMENT_MSG	_T("This document is in Perforce.\r\n\r\n") \
						        _T("Click OK to check out.")

#define P4_CLOSE_DOCUMENT_TITLE	_T("P4GT - Closing Document")
#define P4_CLOSE_DOCUMENT_MSG	_T("This document is checked-out from Perforce.\r\n\r\n") \
								_T("Do want to check-in this file?")

#define P4_ERROR_TITLE			_T("P4GT - Perforce Error")

#define P4_OPEN_SAVE_CURR_TITLE	_T("P4GT - Open From Perforce")
#define P4_OPEN_SAVE_CURR_MSG	_T("Save the latest changes to the current file before opening Perforce file?")

#define P4_NEED_SAVE_TITLE		_T("P4GT - Error Adding File to Perforce")
#define P4_NEED_SAVE_MSG		_T("You need to save the document in a directory in the client workspace (Perforce controlled area) before you can add it to Perforce.")

#define P4_PREV_SAVE_CURR_TITLE	_T("P4GT - View Previous Version")
#define P4_PREV_SAVE_CURR_MSG	_T("Save the latest changes to the current file before loading previous version?")

#define P4_REVERT_MSG			_T("Are you sure you wish to discard changes and revert to the previous version?")
#define P4_REVERT_TITLE			_T("P4GT - Undo Check Out")

#define P4_SUBMIT_SAVE_CURR_TITLE	_T("P4GT - Check In to Perforce")
#define P4_SUBMIT_SAVE_CURR_MSG		_T("Save the latest changes before checking in to Perforce?")

#define P4_NO_CHECK_IN_MSG		_T("Unable to do Check In as file is not checked out.")

#define P4_NO_HELP_TITLE		_T("P4GT - Error")
#define P4_NO_HELP_MSG			_T("Unable to locate P4GT help file: p4gt.chm")



